=== debian/changelog ===
rdkit (201303-1) unstable; urgency=low

  * New upstream release.

  [ Michael Banck ]
  * debian/patches/big-endian_support.patch: Removed, applied upstream.
  * debian/rules (override_dh_auto_test): Honor DEB_BUILD_OPTIONS=nocheck.
  * debian/rules (override_dh_auto_test): Ignore test suite failures for now.
  * debian/rules (override_dh_install): New target, run dh_numpy.

  [ Daniel Leidert ]
  * debian/control: Dropped DM-Upload-Allowed. Added Provides and
    XB-Python-Version for python package.
    (Build-Depends): Added libboost-system-dev and libboost-thread-dev.
    Added python-pandas for tests.
    (Standards-Version): Bumped to 3.9.4.
    (Section): Fixed binary-control-field-duplicates-source.
    (Depends): Added missing depends to library for dev package. Added
    fonts-freefont-ttf because python-rdkit uses FreeSans.ttf.
  * debian/copyright: Updated.
  * debian/librdkit1.lintian-overrides: Added.
  * debian/python-rdkit.links: Add link for FreeSans.ttf.
  * debian/rdkit-doc.doc-base: Added.
  * debian/rules: Enabled hardening. Installed upstream changelog.
    (override_dh_auto_configure): Added -DRDK_BUILD_THREADSAFE_SSS=ON,
    -DCMAKE_SKIP_RPATH and -DCMAKE_BUILD_TYPE=None.
    (override_dh_install): List missing files.
  * debian/patches/fix_ftbfs_mtsss.patch: Added.
    - Fix linkage of libRDBoost.so when using -DRDK_BUILD_THREADSAFE_SSS=ON.
  * debian/patches/series: Adjusted.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sat, 25 May 2013 12:48:23 +0200
