=== debian/control ===
Source: rdkit
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: bison,
               cmake,
               debhelper (>= 7.0.50~),
               flex,
               libboost-dev,
               libboost-python-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libsqlite3-dev,
               python-dev,
               python-numpy,
               python-pandas,
               python-support
Standards-Version: 3.9.4
Homepage: http://www.rdkit.org
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/rdkit/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/rdkit/

Package: python-rdkit
Section: python
Architecture: any
Depends: fonts-freefont-ttf,
         python-numpy,
         rdkit-data,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Suggests: rdkit-doc
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Collection of cheminformatics and machine-learning software
 RDKit is a Python/C++ based cheminformatics and machine-learning software
 environment.  Features Include:
 .
  * Chemical reaction handling and transforms
  * Substructure searching with SMARTS
  * Canonical SMILES
  * Molecule-molecule alignment
  * Large number of descriptors
  * Fragmentation using RECAP rules
  * 2D coordinate generation and depiction
  * 3D coordinate generation using geometry embedding
  * UFF forcefield
  * Calculation of (R/S) stereochemistry codes
  * Pharmacophore searching
  * Calculation of shape similarity
  * Atom pairs and topological torsions fingerprints
  * Feature maps and feature-maps vectors
  * Machine-learning algorithms
  * Gasteiger-Marsili partial charge calculation
 .
 File formats RDKit supports include MDL Mol, SDF, TDT, SMILES and RDKit binary
 format.

Package: rdkit-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Collection of cheminformatics and machine-learning software (documentation)
 RDKit is a Python/C++ based cheminformatics and machine-learning software
 environment.  Features Include:
 .
  * Chemical reaction handling and transforms
  * Substructure searching with SMARTS
  * Canonical SMILES
  * Molecule-molecule alignment
  * Large number of descriptors
  * Fragmentation using RECAP rules
  * 2D coordinate generation and depiction
  * 3D coordinate generation using geometry embedding
  * UFF forcefield
  * Calculation of (R/S) stereochemistry codes
  * Pharmacophore searching
  * Calculation of shape similarity
  * Atom pairs and topological torsions fingerprints
  * Feature maps and feature-maps vectors
  * Machine-learning algorithms
  * Gasteiger-Marsili partial charge calculation
 .
 File formats RDKit supports include MDL Mol, SDF, TDT, SMILES and RDKit binary
 format.
 .
 This package contains the documentation.

Package: rdkit-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Collection of cheminformatics and machine-learning software (data files)
 RDKit is a Python/C++ based cheminformatics and machine-learning software
 environment.  Features Include:
 .
  * Chemical reaction handling and transforms
  * Substructure searching with SMARTS
  * Canonical SMILES
  * Molecule-molecule alignment
  * Large number of descriptors
  * Fragmentation using RECAP rules
  * 2D coordinate generation and depiction
  * 3D coordinate generation using geometry embedding
  * UFF forcefield
  * Calculation of (R/S) stereochemistry codes
  * Pharmacophore searching
  * Calculation of shape similarity
  * Atom pairs and topological torsions fingerprints
  * Feature maps and feature-maps vectors
  * Machine-learning algorithms
  * Gasteiger-Marsili partial charge calculation
 .
 File formats RDKit supports include MDL Mol, SDF, TDT, SMILES and RDKit binary
 format.
 .
 This package contains data files.

Package: librdkit1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Collection of cheminformatics and machine-learning software (shared libraries)
 RDKit is a Python/C++ based cheminformatics and machine-learning software
 environment.  Features Include:
 .
  * Chemical reaction handling and transforms
  * Substructure searching with SMARTS
  * Canonical SMILES
  * Molecule-molecule alignment
  * Large number of descriptors
  * Fragmentation using RECAP rules
  * 2D coordinate generation and depiction
  * 3D coordinate generation using geometry embedding
  * UFF forcefield
  * Calculation of (R/S) stereochemistry codes
  * Pharmacophore searching
  * Calculation of shape similarity
  * Atom pairs and topological torsions fingerprints
  * Feature maps and feature-maps vectors
  * Machine-learning algorithms
  * Gasteiger-Marsili partial charge calculation
 .
 File formats RDKit supports include MDL Mol, SDF, TDT, SMILES and RDKit binary
 format.
 .
 This package contains the shared libraries.

Package: librdkit-dev
Section: libdevel
Architecture: any
Depends: librdkit1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Collection of cheminformatics and machine-learning software (development files)
 RDKit is a Python/C++ based cheminformatics and machine-learning software
 environment.  Features Include:
 .
  * Chemical reaction handling and transforms
  * Substructure searching with SMARTS
  * Canonical SMILES
  * Molecule-molecule alignment
  * Large number of descriptors
  * Fragmentation using RECAP rules
  * 2D coordinate generation and depiction
  * 3D coordinate generation using geometry embedding
  * UFF forcefield
  * Calculation of (R/S) stereochemistry codes
  * Pharmacophore searching
  * Calculation of shape similarity
  * Atom pairs and topological torsions fingerprints
  * Feature maps and feature-maps vectors
  * Machine-learning algorithms
  * Gasteiger-Marsili partial charge calculation
 .
 File formats RDKit supports include MDL Mol, SDF, TDT, SMILES and RDKit binary
 format.
 .
 This package contains the header files.
